ProxyWhirl Docs
OpenapiPool Management

List all proxies

GET
/api/proxies

List all proxies in the pool with pagination and filtering.

Args: page: Page number (1-indexed) page_size: Number of items per page (max 100) status_filter: Filter by health status (optional) rotator: ProxyWhirl dependency api_key: API key verification

Returns: Paginated list of proxy resources

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

page?Page
Default1
page_size?Page Size
Default50
status_filter?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/proxies"
{
  "data": {
    "message": "Operation completed successfully"
  },
  "meta": {
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-10-27T12:00:00Z",
    "version": "1.0.0"
  },
  "status": "success"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}